Subject: Re: [AVT] I-D ACTION:draft-ietf-avt-rtp-ilbc-03.txt

From: Colin Perkins <[email-masked]>
Date: Thu, 6 Nov 2003 00:02:53 +0000

On Tuesday, Oct 28, 2003, at 20:23 Europe/London, 
[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> This draft is a work item of the Audio/Video Transport Working Group 
> of the IETF.
>
> 	Title		: RTP Payload Format for iLBC Speech
> 	Author(s)	: A. Duric, S. Andersen
> 	Filename	: draft-ietf-avt-rtp-ilbc-03.txt
> 	Pages		: 12
> 	Date		: 2003-10-28
> 	
> This document describes the RTP payload format for the internet Low
> Bit Rate Coder (iLBC) Speech [1] developed by Global IP Sound
> (GIPS). Also, within the document there are included necessary
> details for the use of iLBC with MIME and SDP.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-avt-rtp-ilbc-03.txt

I have a few minor comments - almost all editorial - on this version:

- Note that the codec has changed again? One extra bit for each frame 
size,
   replacing a previously unused but with an empty frame indicator. Is 
the
   bitstream now stable?
- The abstract cannot contain citations
- Section 2: Please remove the word "freeware" from the codec 
description.
   I expect this falls foul of RFC 2026 section 10.3.2 (b), and it will 
be
   easier if all the IPR discussion is left to the codec draft.
- Section 2: when discussing how the codec bitstream is packed into an
   octet sequence, why SHOULD not MUST?
- Section 3: spelling mistake: "bellow" -> "below"
- Section 3: "No addition header specific to this payload format" -> "No
   additional header..."
- Section 3: The packet format diagram needs to be a numbered figure, 
with
   caption.
- As mentioned previously, the comment about CableLabs intending to 
adopt
   iLBC as their standard is not appropriate in the payload format. It's 
not
   appropriate for us to publish a standard saying what another 
standards body
   may do in future.
- A few formatting nits:
    Bad chars at 356
    Bad chars at 357
    Bad chars at 477
    Bad chars at 478
    Bad chars at 529
    draft-ietf-avt-rtp-ilbc-03.txt: 5 lines containing non-US-ASCII 
characters
         - think these are all Microsoft "smart" quotes.
    draft-ietf-avt-rtp-ilbc-03.txt: 12 formfeeds not on a line by 
themselves
- Shouldn't the mode parameter allow "30" as a legal value? Doesn't 
hurt to
   be explicit... Also missing a close ")" in this paragraph too.

Cheers,
-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt